Bug 679841

Summary: [RV740] xf86CloseConsole: VT_WAITACTIVE failed: Interrupted system call
Product: [Fedora] Fedora Reporter: Jaroslav Pulchart <jaroslav.pulchart>
Component: xorg-x11-drv-atiAssignee: Jerome Glisse <jglisse>
Severity: high Docs Contact:
Priority: unspecified    
Version: 15CC: gjunk, xgl-maint
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: [cat:crash]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-08-18 02:06:23 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Description Flags
dmesg with drm.debug=0x04
Xorg.0.log with drm.debug=0x04
messages with drm.debug=0x04 none

Description Jaroslav Pulchart 2011-02-23 11:59:37 EST
Created attachment 480531 [details]

Description of problem:
Test Case http://fedoraproject.org/wiki/QA:Testcase_radeon_restartx

Steps to Reproduce:
1. boot liveiso from F15 testday radeon to runlevel 3
2. login as liveuser
3. startx
4. logout
Actual results:
You could see:
(gnome-screensaver:1711): Gdk-WARNING **: gnome-screensaver: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.

Fatal server error:
xf86CloseConsole: VT_WAITACTIVE failed: Interrupted system call

Please consult the Fedora Project support
         at http://wiki.x.org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional information.


Expected results:
none Fatal server error
Comment 1 Matěj Cepl 2011-05-16 18:03:33 EDT
Are you able to reproduce the issue with the latest updates from updates-testing for F15, please?

Thank you
Comment 2 Jaroslav Pulchart 2011-05-17 13:55:46 EDT
Still same behaviour with latest update of F15.
Comment 3 Matěj Cepl 2011-05-19 08:12:09 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Jaroslav Pulchart 2011-05-19 14:23:10 EDT
Created attachment 499918 [details]
dmesg with drm.debug=0x04
Comment 5 Jaroslav Pulchart 2011-05-19 14:23:37 EDT
Created attachment 499919 [details]
Xorg.0.log with drm.debug=0x04
Comment 6 Jaroslav Pulchart 2011-05-19 14:24:49 EDT
Created attachment 499920 [details]
messages with drm.debug=0x04
Comment 7 Jaroslav Pulchart 2011-05-19 14:25:28 EDT
/etc/X11/xorg.conf file is not available
Comment 8 gene c 2011-06-13 14:16:53 EDT
I also see this with Intel i915 (part of nvidia optimus with nvidia turned off).

 00:02.0 VGA compatible controller: Intel Corporation Device 0126 (rev 09)

I can work around it by removing rhgb from the boot line.

 Sandy Bridge ... the system I am testing on using F15 xorg*  mesa* perf* kernel*

and whatever ensuing deps came with those (gcc, glibc, libdrm etc).

 I see this at boot - removing rhgb gives me a usable system - without this it completely freezes and the gdm login screen is not presented.
Comment 9 Jaroslav Pulchart 2011-08-16 09:48:45 EDT
I cannot reproduce it with current and latest update of F15 :).

mesa: 7.11-1
kernel: 2.6.40-4
xorg-x11-drv-ati: 6.14.1-2.20110525gitfe5c42f51
xorg-x11-server: 1.10.3-1